﻿# The Boy Who Loved Crows
# Version 1.00 - Public Release Candidate
# Written in Ren'Py - Version 6.4.0
# Programmer: Fawkes ; fawkesgarde@gmail.com
# Feathered Melody Productions - http://featheredmelody.visualnews.net

#Initialization section
init:

    python:
        if not persistent.set_text_cps:
            persistent.set_text_cps = True
            _preferences.text_cps = 75

    # Set up the size of the screen, and the window title.
    $ config.screen_width = 800
    $ config.screen_height = 600
    $ config.window_title = "The Boy Who Loved Crows"
    $ config.window_icon = "feather_icon.bmp"

    #Font Config
    $ config.font_replacement_map["DejaVuSans.ttf", False, True] = ("DejaVuSans-Oblique.ttf", False, False) 

    # Set this to true to enable some developer-specific
    # functionality. It should be false in a finished game.
    # Read the "Developer Tools" section of the reference
    # to see what this enables.
    $ config.developer = False

    # Declare the images that are used in the program.

    # Text Images
    image bg splash = "splash.jpg"
    image bg theend = "theend.jpg"
    image bg credits = "creditsbg.png"

    # Backgrounds.
    image bg act1 = "bg1_act1bg.jpg"
    image bg act2 = "bg2_act2bg.jpg"
    image bg act3 = "bg2_storm.jpg"
    image cg_act2_1 = "act2_cg1.png"
    image cg_act3_1 = "act3_cg1.jpg"
    image cg_act3_2 = "act3_cg2.jpg"
    image black = Solid((0, 0, 0, 255))

    # Character pictures.
    image astraeus happy = "ast_happy.png"
    image astraeus sad = "ast_sad.png"
    image astraeus angry = "ast_angry.png"
    image astraeus normal = "ast_normal.png"
    image astraeus happy_speech = "ast_happy_speech.png"
    image astraeus sad_speech = "ast_sad_speech.png"
    image astraeus angry_speech = "ast_angry_speech.png"
    image astraeus normal_speech = "ast_normal_speech.png"

    # Character objects. These lets us have the character say
    # dialogue without us having to repeatedly type her name. It also
    # lets us change the color of her name.
    $ j = Character(u'Jonas', color=(255, 215, 0, 255))
    $ ast = Character(u'Astraeus', color=(255, 215, 0, 255))

# The start label marks the place where the main menu jumps to to
# begin the actual game.

label start:

    # The save_name variable sets the name of the save game. Like all
    # variables declared outside of init blocks, this variable is
    # saved and restored with a save file.
    $ save_name = "Act 1"

    # Act 1 Start
    scene black with fade
 
    centered '{i}"Why did we forget how to fly?"{/i}'

    $renpy.music.play("act1_theme.ogg", fadein=2)

    "The first time he asked me that question, I took him for a boy with too much imagination in his little head of his." with fade

    "I believe it has been ten years since I saw him in that primitive, yet idyllic  plot of land that I farmed." 

    "Carrying the wisdom beyond his years, he gave me a gift that I can never forget."

    scene bg act1 with fade

    "Irritated by the recent string of crows that dove down and feasted on my grain harvest, I first met the child when I was climbing up the cliff near the farm to scare them away."

    "With a long pole in hand, I edged myself over the rough, rocky precipice."

    "I remember coming here as a child, and around this time of the year, we would slowly start to see the trees turn from green to gold to fiery orange." 

    "On this evening, beyond the fields, the dense forest was a sea of golden trees."

    "These cliffs had been carved into the face of a mountain by centuries of weathering. Above me a ceiling of well worn stone sheltered the path ahead."

    "Fall had come around again and so had the yearly harvest of grain."

    "I decided it would be best to scare the crows away before they made more trouble."

    "Almost immediately after getting up onto the cliff, I regretted not bringing a coat when a stiff breeze blew past me."

    "Down the lightly treaded road, I heard the cawing of a group of crows. Black feathers littered the ground ahead, so I knew I was drawing near to their home."

    "Turning the corner to a small indentation in the cliffs, I set my eyes on a whole family of blackbirds."

    "Young and old, large and small, crows of every size perched alongside the ledges of the back wall like little ornaments in an antique store."

    j "I'm sorry, but you can't stay here."

    "A few of them cawed at me like they understood, but the others seemed unmoved. Sighing, I swatted my pole at them. "

    "???" "You shouldn't do that, sir."
 
    scene bg act1 with dissolve

    show astraeus angry

    "I turned around to see a boy of about ten years old, wearing a ragged robe and a black feather as an amulet around his neck."

    show astraeus normal

    "He smiled at me, beckoning me to come closer. The boy spoke in a hypnotic voice, echoing through the winds. "

    show astraeus normal_speech

    ast "I'm Astraeus, their protector."

    show astraeus normal

    j "Astraeus. Not a name from around here."

    "Though I made this remark, I felt a sense of familiarity in his presence, like meeting a stranger again you passed in the marketplace a decade ago."

    show astraeus normal_speech

    ast "What's yours?"
    
    show astraeus normal

    j "Jonas."

    show astraeus sad_speech

    ast "Please leave them alone, Jonas."

    show astraeus sad

    j "I can't. These crows have been snatching up my grain crop for the last few weeks."

    show astraeus normal

    "Astraeus approached me and walked towards the wall of crows. One of them hopped onto his arm."

    show astraeus sad_speech

    ast "This one tells me that they've been hungry because of the drought during the summer. Can you really blame them for needing to survive?"

    show astraeus sad
    
    j "No, I guess not..."

    "I hadn't had problems with birds before, but this summer had been unusually dry." 

    "I could understand how the birds felt, so it didn't feel right to chase these birds away."

    show astraeus normal_speech

    ast "If you leave a pail of grain for them on these cliffs and mark it with a red piece of cloth, they won't bother you. We're all distant siblings from the same Mother after all."

    show astraeus normal

    "Siblings with a crow? Or with you? I looked at him incredulously and then nodded."

    j "I don't really know about this siblings stuff; but if you can keep your crows away, I'll bring up some feed for your birds."

    show astraeus happy

    "I can't really understand what pushed me into accepting his offer. Was it the guilt of forcing these birds to find food elsewhere or Astraeus' entrancing voice?"

    "In any case, sacrificing a few pails of grain would hurt me less than coming up to these cliffs and driving away the crows every evening before they descended upon my field overnight."

    "The people of the nearby village told legends of humans who lived among the beasts as their ambassadors."

    
    "I never believed in those folk tales, but perhaps Astraeus really can keep a reign on these pesky birds."

    $renpy.music.stop(fadeout=2)

    scene black with fade

    $ save_name ="Act 2"
    #Act 2 begins here

    "Early the next morning, I scaled the cliffs with a pail filled halfway with grain."

    "The morning sun shone across the eastern sky, painting the fog glazed fields in a soft golden tint."

    "Since the harvest had not yet begun in earnest, I couldn't provide that much to them, but I'm sure that Astraeus' family didn't need more than this much."

    $renpy.music.play("act2_theme.ogg", fadein=2)

    scene bg act2 with dissolve

    "After hoisting the bucket up behind me, I walked towards the small cavern in the cliffs where I had met Astraeus."

    scene cg_act2_1 with dissolve

    "Though more feathers lay on the ground today, only one crow perched on the edge of the cliff with no sign of the boy."

    "Reluctantly, I tossed a red cloth down on the ground and began to scatter the grain around it."

    "The lone crow instantly pounced on the seed like a cat attacking a mouse, clearly hungry. His call seemed to convey thanks."

    j "Now just keep away from my fields."

    ast "Of course, we'll always keep our word."

    scene bg act2 with dissolve

    show astraeus happy

    "I don't think in any of our encounters I ever saw Astraeus actually reaching the cliffs. He always materialized behind me with a phantom-like silence."

    "As he stepped towards the place where I had scattered the grain, he nodded in approval."

    "Two old and wise-looking crows that stood on his shoulders also seemed to approve."

    "{i}These must be the grandmother and grandfather of the family,{/i}"

    j "Astraeus, where did you come from?"

    show astraeus normal

    "A simple question. Obviously he must have had a family, for birds don't usually have children that become human."

    show astraeus sad_speech

    ast "To the west, far beyond these mountains, but I don't consider myself to be a part of my people anymore. I've never wanted to. These crows are my family now."

    show astraeus sad

    j "But in the end, aren't you still human?"

    "I continued probing, cautiously choosing my words as not to sour our brittle relationship."

    "On the other hand, Astraeus seemed happy to answer my questions. Did he have no contact with humans all these years?"

    "He allowed the two on his shoulders to partake in the feast of grain while he motioned for me to sit with him on the cliff's ledge."

#At this point, call theme song "Astraeus' Narration"

    show astraeus normal_speech

    ast "Dreams of a time when all beings lived in the sky are buried in our collective memories. Only the birds retain those memories in their most pristine condition."

    ast "Long ago, humans chose to leave the cloud land and cultivate their lives on this earthly realm. Still, now and then, a spark from ancient memories ignites a desire to return to our ancestral home."

    show astraeus normal

    "I sighed, unable to understand a single word that the boy said, not that I studied the classical creation myths."

    "For a youngster like him, he sure had a lot of complex ideas."

    j "There are others like you?"
    
    show astraeus sad_speech
    
    ast "A few here and there. Once, when people still believed in legend, the tellers of tales enshrined those who could speak to the birds into myth."

    ast "Icarus and Daedalus of mythology, for example. But most of us drift from place to place with the birds, and time forgets about us." 

    show astraeus sad

    j "That's really quite sad, isn't it?"
    
    show astraeus sad_speech
    
    ast "Sometimes, I guess."

    show astraeus normal

    j "Then there isn't a way I can convince you to go back to living with humans, is there?"

    show astraeus angry_speech

    ast "Even still, I have to stay with this flock. Ever since the days when we stepped out of the shadows after we forgot how to fly, we worshiped beasts of power while shunning aside creatures of grace."

    ast "Crows, the most graceful of all birds, became hated and marked with the stigma of a bandit that raids fields. They need someone to protect and love them when no one else will!"

    show astraeus normal

    "The time when we still remembered how to fly, huh? The words conjured images of white winged angels and images of long cast-aside gods."

    "Once again, his hypnotic tone kept me transfixed to his vivid images. Astraeus continued."

    show astraeus normal_speech

    ast "When birds were considered divine beings, the humans believed that the goddess of night painted the crows black"

    ast "so the stars would have a home when the sun scorched away their dwelling in the sky during the day."

    show astraeus happy_speech

    ast "Having perfect memories passed down over the ages, the crows shared this story with me."
    
    ast "And many more. The collective memory of the birds stretches further into the past than humans can remember." 
    
    show astraeus normal

    "We spoke until the middle of the morning when I had to return to the fields. All of it seemed absurd, though."

    "Bearers of the stars during the day. Divine beings of the firmament. Ancient deities wielding magical brushes and painting birds." 

    "Every morning, even before the sun rose, I climbed up those cliffs to hear more stories from the boy."

    "Astraeus told of the days when humans and birds lived together among the clouds."

    "Of the time when we severed our bonds and lost the blessing of the winds." 

    "Of the denizens of the sky realm weeping for their lost brothers and sisters."
    
    $renpy.music.stop(fadeout=2)

    scene black with fade

    $ save_name ="Act 3"
    $renpy.music.play("act3_1.ogg", fadein=2)

    "Late into the harvest season, a strong storm lashed the fields with a ferocity that never in my life I had seen." with fade

    "The howling winds and the sheets of rain pounded the farmland and the cliffs."

    "Through the rumbling thunder, I could make out the occasional call from the birds. Was Astraeus going to be all right in that little cave?"

    "Despite my reservations, I grabbed a leather tarp from the broom closet and a thick coat."

    "The path that I had gone down so many times to reach the cliffs now had turned to mud."

    "I reached the cliffs when the intensity of the storm's shearing winds had doubled."

    scene bg act3 with dissolve

    "As I put my right hand on the slippery rock to begin the ascent, a fork of lighting arced across the sky above me."

    "Right now, I'd rather {i}not{/i} be living in our ancestral sky land."

    "Firmly gripping the cliff face with all my might, I pulled myself up against the force of the wind whipping against my back."

    "What normally took me a few minutes felt like an eternity of struggling and nearly falling to my inevitable injury."

    "I breathed a sigh of relief upon reaching the top of the ledge and then stood up."

    "Quickly shuffling down the path, I found myself at the the familiar cavern where Astraeus fearlessly faced the storm, drenched by the rain."

    j "Astraeus, get down from here. You can stay at my house until the storm passes!"

    "But he faced into the storm as if it were a gentle wind, teetering on the edge of the cliff and glancing with an empty stare into the western horizon."

    "His flock of crows circled overhead, cawing and crying loud enough to deafen the more distant rumbles of thunder." 

    "I called out to him once more."

    j "Astraeus!"

    "Slowly, he turned back towards me with a kind smile."

    show astraeus normal_speech

    ast "Thank you for your kind offer, Jonas, but I don't think even for just a few moments I could live among people again. It's been almost five years since I left my village. I always have a home with my family."

    show astraeus normal

    "He motioned his head towards the birds above."

    j "Then..."

    show astraeus sad

    "The words from my mouth abruptly stopped when he began speaking. This time, it carried a sullen tone of sadness."

    show astraeus sad_speech

    ast "It's time for us to leave now and find new grounds for the winter. These crows won't bother you any more."

    show astraeus sad

    "He sighed."
    
    show astraeus sad_speech

    ast "If this world had more people like you, then the crows would not need to be protected."

    show astraeus normal

    "Unabated by the tempest, Astraeus placed his hand on my shoulder."

    scene cg_act3_1 with dissolve

    ast "It's unlikely we'll see each other again, so as a parting gift, do you want to remember all those dreams that we forgot? Do you wish to recall how to spread your wings that lay dormant in you?"

    "His words put me in some kind of trance; I nodded."

    ast "Close your eyes."

    scene black with fade
    $ renpy.pause(1.5)

    "My vision went dark as my eyelids grew heavier until they slid closed." with fade

    ast "Now, let go of all your thoughts and preconceptions: That we're bounded to this world. That we are condemned to live every day as servants to the earth."

    "I felt my body get lighter while invisible wings pulled at my back. Lighter. Lighter."

    ast "Imagine a world beyond the sky above. Calm. Quiet. An azure so blue and unobscured that only the highest flying birds have witnessed it."

    centered '{i}Still, now and then, a spark from ancient memories ignites a desire to return to our ancestral home{/i}'

    centered '"Then take my hand."'

    "The sound of feathers scattering against the raging squall."

    centered '{i}\"Spread your wings. Let\'s fly away.\"{/i}'
    
    scene cg_act3_2 with dissolve

    "On that day, as I put out my hand to his, I mended the shattered wings within me and remembered how to take to the skies."    
    show black with fade

#Credits begin here
    $ save_name = "Credits"
    scene bg credits with fade
    show text "Credits" with dissolve
    $ renpy.pause(1.5)
    show text "Feathered Melody Productions" with dissolve
    $ renpy.pause(1.5)
    show text "{b}Scenario Writer / Programmer{/b}" with dissolve
    $ renpy.pause(1.5)
    show text "Fawkes Garde" with dissolve
    $ renpy.pause(2.0)
    show text "{b}Artists{/b}" with dissolve
    $ renpy.pause(1.5)
    show text "Jamuko" with dissolve
    $ renpy.pause(2.0)
    show text "Anime Senko" with dissolve
    $ renpy.pause(2.0)
    show text "LuminMog" with dissolve
    $ renpy.pause(2.0)
    show text "{b}Music{/b}" with dissolve
    $ renpy.pause(1.5)
    show text "Act 1 & 2: General Damian (Hunter V.)" with dissolve
    $ renpy.pause(2.0)
    show text "Act 3: TAM Music Factory" with dissolve
    $ renpy.pause(2.0)
    show text "{b}Advisors & Editors{/b}" with dissolve
    $ renpy.pause(1.5)
    show text "Laogeodritt" with dissolve
    $ renpy.pause(2.0)
    show text "Clowezra" with dissolve
    $ renpy.pause(2.0)
    show text "Lady Aurion" with dissolve
    $ renpy.pause(2.0)
    
    show text "{b}Special Thanks{/b}" with dissolve
    $ renpy.pause(1.5)
    show text "DJ Skybound for early placeholder music." with dissolve
    $ renpy.pause(2.0)
    show text "Professor Raine for random assistance and input." with dissolve
    $ renpy.pause(2.0)
    show text "Lemmasoft Forums for technical assistance." with dissolve
    $ renpy.pause(2.0)
    show text "Misu of Visualnews.net for hosting our website." with dissolve
    $ renpy.pause(2.0)
    show text "and You." with dissolve
    $ renpy.pause(2.0)
    show text "Thanks for reading." with dissolve
    $ renpy.pause(2.0)
    show text "{b}Developed with the RenPy Visual Novel Engine{b}" with dissolve
    $ renpy.pause(2.0)
    show text "{b}And excessive amounts of coffee.{/b}" with dissolve
    $ renpy.pause(2.5)
    
    scene black with fade
    scene bg theend with fade

    $renpy.pause()
    $renpy.music.stop(fadeout=2)
    $ renpy.full_restart()

# Here, are a number of customizations that make the game look
# better. We place them down here at the bottom, to make the first few
# lines of the script look better.
#
# These can be deleted without issue, if you do not want them.

init:
    
    # Change the look of the main menu.
    $ style.mm_root.background = Image("mainmenu.jpg")
    $ style.mm_menu_window.yanchor = 0
    $ style.mm_menu_window.ypos = 280
    $ style.mm_menu_window.xanchor = 0
    $ style.mm_menu_window.xpos = 300

    # Change the look of the text window.    
    $ style.window.background = Frame("window.png", 16, 16)
    $ style.window.xmargin = 0
    $ style.window.ymargin = 0
    $ style.window.xpadding = 20
    $ style.window.top_padding = 16
    $ style.window.bottom_padding = 16

    # Interface sounds, just for the heck of it.
    $ style.button.activate_sound = 'click.wav'
    $ style.imagemap.activate_sound = 'click.wav'
    $ library.enter_sound = 'click.wav'
    $ library.exit_sound = 'click.wav'
    $ library.sample_sound = "18005551212.ogg"

    # Select the transitions that are used when entering and exiting
    # the game menu.
    $ library.enter_transition = pixellate
    $ library.exit_transition = pixellate

# We'll comment it out for now.
#For the purposes of all releases until final, this is disabled.
label splashscreen:
    scene black
    scene bg splash with fade
    $ renpy.pause(1.5)
    scene black with dissolve
    return


